<?PHP
/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * This file is part of Travelsized CMS
 *              A content management system with modules, based on wiki syntax
 *
 * Author: Dan Jensen <admin@leinir.dk>
 * Copyright 2003/2004
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * The GNU General Public License is available at: http://www.gnu.org/copyleft/
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

$page_author = getUserInfo("admin", "name");
$page_author_email = getUserInfo("admin", "email");
$page_menu = 0;
$page_date = formatTime( time() );
$page_title = i18n("List of all pages");

$pages_temp = $pagectl->fetchPageList($page_folder);
sort($pages_temp);
$page_content = "$page_content
<div align=\"center\">
	<table cellspacing=\"4\" width=\"90%\" style=\"border: 0;\">
		<tr>
			<td>
			<table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\">
			<tr>
			<th style=\"border-bottom: 1px solid gray;\" width=\"8%\">" . i18n("ID") . "</th>
			<th style=\"border-bottom: 1px solid gray;\">" . i18n("Title") . "</th>
			<th style=\"border-bottom: 1px solid gray;\" width=\"12%\">" . i18n("Language") . "</th>
			</tr>";

$bgarray[1] = "transparent";
$bgarray[2] = "#e0e0e0";
foreach($pages_temp as $key => $value) {
	$bgarray = array_reverse($bgarray);
	$page_content = "$page_content
					<tr><td style=\"background-color: {$bgarray[1]}\"><div>{$value["id"]}</div></td>
						<td style=\"background-color: {$bgarray[1]}\">";
	foreach ($value["title"] as $key2 => $value2) {
		$page_content = "$page_content<div><a href=\"" . globalIDtoURL( "content/{$value["language"][$key2]}/{$value["id"]}") . "\">$value2</a></div>";
	}
	$page_content = "$page_content</td><td style=\"background-color: {$bgarray[1]}\">";
	foreach ($value["language"] as $key2 => $value2) {
		$page_content = "$page_content<div>[$value2]</div>";
	}
	$page_content = "$page_content</td></tr>";
}
$page_content = "$page_content
	</td></tr></table>
	</td></tr></table></div>";
?>
