<?PHP
/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * This file is part of Uberghey CMS
 *              A content management system with modules, based on wiki syntax
 *
 * Author: Dan Jensen <admin@leinir.dk>
 * Copyright 2003/2004
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * The GNU General Public License is available at: http://www.gnu.org/copyleft/
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

$formatting_toolbar = "
			<tr class=\"setup\"><td class=\"setup\" colspan=\"2\">
				<script type=\"text/javascript\" language=\"JavaScript\" src=\"" . siteURL(true) . "formatting.js\"></script>
				<table class=\"setup\" style=\"background-color: white; height: 16px; width: 100%; margin: none; padding; none;\">
				<tr class=\"setup\">
				<td class=\"setup\" style=\"font-size: 5px; width: 16px;\"><a class=\"command\" onMouseOver=\"showTooltip('" . i18n("Make the selected text bold") . "');\" onMouseOut=\"showTooltip('');\" title=\"Bold\" href=\"javascript:insertAt('edit','**text**');\"><img src=\"" . siteURL(true) . "setup/images/format/text_bold.png\" alt=\"Bold\" title=\"Bold\" height=\"16\" width=\"16\" border=\"0\" /></a></td>
				<td class=\"setup\" style=\"font-size: 5px; width: 16px;\"><a class=\"command\" onMouseOver=\"showTooltip('" . i18n("Make the selected text italic") . "');\" onMouseOut=\"showTooltip('');\" title=\"Italic\" href=\"javascript:insertAt('edit','//text//');\"><img src=\"" . siteURL(true) . "setup/images/format/text_italic.png\" alt=\"Italic\" title=\"Italic\" height=\"16\" width=\"16\" border=\"0\" /></a></td>
				<td class=\"setup\" style=\"font-size: 5px; width: 16px;\"><a class=\"command\" onMouseOver=\"showTooltip('" . i18n("Make the selected text underlined") . "');\" onMouseOut=\"showTooltip('');\" title=\"Underline\" href=\"javascript:insertAt('edit','__text__');\"><img src=\"" . siteURL(true) . "setup/images/format/text_under.png\" alt=\"Underline\" title=\"Underline\" height=\"16\" width=\"16\" border=\"0\" /></a></td>

				<td class=\"setup\" style=\"font-size: 5px; width: 16px; border-left: 1px solid grey;\"><a class=\"command\" onMouseOver=\"showTooltip('" . i18n("Insert an example table") . "');\" onMouseOut=\"showTooltip('');\" title=\"Table\" href=\"javascript:insertAt('edit','\\n//\\n/\\nRow 1, cell 1\\nRow 1, cell 2\\n/\\nRow 2, cell 1\\nRow 2, cell 2\\n//');\"><img src=\"" . siteURL(true) . "setup/images/format/table.png\" alt=\"Table\" title=\"Table\" height=\"16\" width=\"16\" border=\"0\" /></a></td>

				<td class=\"setup\" style=\"font-size: 5px; width: 16px; border-left: 1px solid grey;\"><a class=\"command\" onMouseOver=\"showTooltip('" . i18n("Insert an image") . "');\" onMouseOut=\"showTooltip('');\" title=\"Image\" href=\"javascript:insertAt('edit','{picture.jpg||text}');\"><img src=\"" . siteURL(true) . "setup/images/format/image.png\" alt=\"Image\" title=\"Image\" height=\"16\" width=\"16\" border=\"0\" /></a></td>
				<td class=\"setup\" style=\"font-size: 5px; width: 16px;\"><a class=\"command\" onMouseOver=\"showTooltip('" . i18n("Insert an image with justification") . "');\" onMouseOut=\"showTooltip('');\" title=\"Image with justification\" href=\"javascript:insertAt('edit','{picture.jpg||text||justification}');\"><img src=\"" . siteURL(true) . "setup/images/format/image.png\" alt=\"Image with justification\" title=\"Image with justification\" height=\"16\" width=\"16\" border=\"0\" /></a></td>
				<td class=\"setup\" style=\"font-size: 5px; width: 16px;\"><a class=\"command\" onMouseOver=\"showTooltip('" . i18n("Insert an image with width and justification") . "');\" onMouseOut=\"showTooltip('');\" title=\"Image with width and justification\" href=\"javascript:insertAt('edit','{picture.jpg||text||width||justification}');\"><img src=\"" . siteURL(true) . "setup/images/format/image.png\" alt=\"Image with width and justification\" title=\"Image with width and justification\" height=\"16\" width=\"16\" border=\"0\" /></a></td>

				<td class=\"setup\" style=\"font-size: 5px; width: 16px; border-left: 1px solid grey;\"><a class=\"command\" onMouseOver=\"showTooltip('" . i18n("Insert a link to a file") . "');\" onMouseOut=\"showTooltip('');\" title=\"File\" href=\"javascript:insertAt('edit','{{filename.ext||text}}');\"><img src=\"" . siteURL(true) . "setup/images/format/link_file.png\" alt=\"File\" title=\"File\" height=\"16\" width=\"16\" border=\"0\" /></a></td>

				<td class=\"setup\" style=\"font-size: 5px; width: 16px; border-left: 1px solid grey;\"><a class=\"command\" onMouseOver=\"showTooltip('" . i18n("Insert an external link (e-mail or http)") . "');\" onMouseOut=\"showTooltip('');\" title=\"External link\" href=\"javascript:insertAt('edit','[[text]]');\"><img src=\"" . siteURL(true) . "setup/images/format/link_external.png\" alt=\"External link\" title=\"External link\" height=\"16\" width=\"16\" border=\"0\" /></a></td>
				<td class=\"setup\" style=\"font-size: 5px; width: 16px;\"><a class=\"command\" onMouseOver=\"showTooltip('" . i18n("Insert an external link with a title (e-mail or http)") . "');\" onMouseOut=\"showTooltip('');\" title=\"External link with title\" href=\"javascript:insertAt('edit','[[http://example.com||text]]');\"><img src=\"" . siteURL(true) . "setup/images/format/link_external.png\" alt=\"External link with title\" title=\"External link with title\" height=\"16\" width=\"16\" border=\"0\" /></a></td>
				
				<td class=\"setup\" style=\"font-size: 5px; width: 16px; border-left: 1px solid grey;\"><a class=\"command\" onMouseOver=\"showTooltip('" . i18n("Insert an internal link (to another page)") . "');\" onMouseOut=\"showTooltip('');\" title=\"Internal link\" href=\"javascript:insertAt('edit','((text))');\"><img src=\"" . siteURL(true) . "setup/images/format/link_internal.png\" alt=\"Internal link\" title=\"internal link\" height=\"16\" width=\"16\" border=\"0\" /></a></td>
				<td class=\"setup\" style=\"font-size: 5px; width: 16px;\"><a class=\"command\" onMouseOver=\"showTooltip('" . i18n("Insert an internal link with a title (to another page)") . "');\" onMouseOut=\"showTooltip('');\" title=\"Commented internal link\" href=\"javascript:insertAt('edit','((Linked page||text))');\"><img src=\"" . siteURL(true) . "setup/images/format/link_internal.png\" alt=\"Internal link with title\" title=\"Internal link with title\" height=\"16\" width=\"16\" border=\"0\" /></a></td>
				
				<td class=\"setup\" style=\"font-size: 10pt;\"><input type=\"text\" id=\"tooltip\" style=\"width: 100%;\" value=\"" . i18n("Move mouse over controls for tip") . "\" style=\"border: none; background-color: white; text-align: right;\" /></td>
				</tr>
				</table></td></tr>";
?>