<?PHP
$page_title = 'Front page';
$page_content = 'Welcome to your new website. This page is the front page, which is designed to show you some of what the formatting system can do for you. If you need help while editing anywhere which accepts page data, simply click on the [Show layout help] command link below the editing field.

!Default password

To log in, you will need the default username and password. They are in the table below. Once you have logged in successfully, change the password by clicking on Default Administrator, and then going to the Edit tab. Follow the instructions on the page there to change your password.

Note that you cannot change the username, but you //can// add a new user and assign it administrator rights. This is done through Site Setup, in the User section. Click the [Permissions] command link outside the username you wish to change the permissions for. Then change the first permission to Allowed. This will make that user administrator on the same level as admin.

//
/
Username
admin
/
Password
password
//

!Simple formatting

**Bold text** done using two double asterisk (*) around the text you wish to be made bold
//Italic text// is done using two double division signs (/) around the text you wish to be made italic
__Underlined text__ is done using two double underscores (_) around the text you wish to be made underlined

||Centering text is done by putting two pipes (|) at the beginning of the line
>>Right aligning text is done by putting two greater than signs (>) at the start of the line

Headers are all done by putting a number of exclamation marks (!) first on the line equal to the depth of header.

!!Header level 2
!!!Header level 3
!!!!Header level 4
!!!!!Header level 5

!Tables

Tables are made by putting a double division sign on its own line, and ended by the same method. Each row is started by a single division sign on its own line, and ended by either the next row, or by the table being ended. Each line of text is a cell, and adding an exclamation mark first on a line will make that cell into a header cell.

//
/
!Header
!Other header
/
Cell 1
Cell 2
/
More cells
/
 
An un-empty cell
//

!Preformatted text

Preformatted text can be used for things such as code listings, command line designs, and other things where you need the text to keep its layout. Create it by putting a : as the first thing on a line of text.

:Everything in a preformatted
: text is kept
:  where you asked it
:                to be during editing
:                    including spaces

!Lists

Creating lists is as simple as putting asterisk and hash marks (#) as the first thing on a line. The asterisk will create a simple unordered list, and the hash marks will create numbered lists. All the lists can be nested, by adding extra marks to them to indicated level.

* Level 1
** Level 2
**# Numbered level 3
**# Numbered level 3
**# Numbered level 3
**#* Level 4
** Back on level 2

!Images and files

The image and file support built into Travelsized is tightly linked together, in that you need to upload images into the files section of Site Setup to be able to use them. Linking to a file is done to adding double curly brackets ({) around the filename and title, which are separated by double pipes (|), and the link is then ended by another double curly brackets (}). For example such as this: {{poweredby.png||The powered by Travelsized banner image}}

An image, on the other hand is done using single curly brackets around them, and can be set to have a width, and an alignment.

Simple image: {poweredby.png||The powered by Travelsized banner image}

Right-aligned image: {poweredby.png||The powered by Travelsized banner image||right}

Scaled left-aligned image: {poweredby.png||The powered by Travelsized banner image||120||left}

!Linking

!!Page links
Creating new pages and linking documents on Travelsized CMS is very closely linked - the easiest way to create a new page is to simply create a link to it, and then tell the system to create a new page with the title you attempt to link to. To link to a page, simply add two parenthesis ( ( ) around the title of the page. If you wish the link to contain a different text than the title of the page, add double pipes to the end of the page\'s title, and then the text you want to show in stead of the page title. This text can be anything even an image, as described above. Note, however, that because scaling an image causes it to be linked to its proper sized image, you cannot use a scaled image for this.

!!External links
Linking to external resources (for example http://leinir.dk/travelsized/ or mailto:admin@leinir.dk) is as simple as the internal page links - the only difference is that you create those links using double square brackets ([) in stead of parenthesis.

!!User links
Linking to a user, for example the default administrator (whose username is admin) is done by putting the username inside a pair of double percentage signs. This will result in the following: %%admin%%. If you wish to show something else than the user\'s entered name and the tiny version of their avatar, you can also put an alternative text in there, in the same manner as page links.

!Modules

Module commands are recognised by the backslash and the paranthesis around the parameters. An example could be \\somemodule(filters,alternative text) which would mean it called the module command somemodule, with the parameters "filters" and "alternative text". An example of an actual module running would be the RSS Feed reader module reading the BBC News Online feed, using the readrss command:
\\readrss(http://newsrss.bbc.co.uk/rss/newsonline_uk_edition/front_page/rss.xml)';
$page_menu=100
?>